@ECHO OFF
ECHO Created by Soft5 [www.soft5.com].
REM Copyright (c) 1999-2003 Soft5 Corporation.
REM Created by Green [mihail@soft5.com] & Nagovitsin [nagovitsin@soft5.com].
REM Intended to replace Help & IE and Install KravNetAdmin 4 Navigator.
REM in Windows 9x.
REM First, copy KNA4Preinstall.exe and Unplug.exe into Navigator Folder.



REM *adjustments
SET KNA4Dir=C:\Windows\System32\drivers\Navigator
SET SYSName=KNA4System.exe
SET SRVIp=192.168.0.100
SET BAKDir=%WINDir%\HELPBAK
REM *end of adjustments





REM *body
%KNA4Dir%\KNA4Preinstall.exe
MKDIR %BAKDir%
MOVE /Y %WINDir%\hh.exe %BAKDir%
MOVE /Y %WINDir%\winhelp.exe %BAKDir%
MOVE /Y %WINDir%\winhlp32.exe %BAKDir%
RENAME %WINDir%\taskman.exe taskman.bak.exe
RENAME C:\Progra~1\Intern~1\IEXPLORE.EXE IEXPLOREREAL.EXE
COPY /Y %KNA4Dir%\Unplug.exe %WINDir%\hh.exe
COPY /Y %KNA4Dir%\Unplug.exe %WINDir%\winhelp.exe
COPY /Y %KNA4Dir%\Unplug.exe %WINDir%\winhlp32.exe
COPY /Y %KNA4Dir%\Unplug.exe %WINDir%\taskman.exe
COPY /Y %KNA4Dir%\Unplug.exe C:\Progra~1\Intern~1\IEXPLORE.EXE
%KNA4Dir%\%SYSName% -install %SRVIp%
GOTO %ERRORLEVEL%
:1
ECHO Operations NOT succesful
PAUSE
GOTO QUIT
:0
ECHO Operations completed succesfully
PAUSE
DEL /F/Q %KNA4Dir%\Unplug.exe
DEL /F/Q %KNA4Dir%\KNA4Preinstall.exe
:QUIT
REM *end of body